Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045299
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Mobile Warehouse operationsmajoralways2020-10-26 12:452020-11-27 08:56
ReporterLeyreView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045299: [AWO] Error generating inventory

Description[AWO] Error generating inventory. Problem with "Count" option.
Steps To Reproduce1) Login into awo application:
https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.warehouse.advancedwarehouseoperations [^]

User:Openbravo
Pass: openbravo

With other user, for example AWOQA, the problem is not reproducible.

2) Click on "Count" option -> a pop-up is opened.

3) Click on "Start Count" button

Result: Error. There was an error while creating the count: Unknown error

I attach the error in the log.

TagsNo tags attached.
Attached Files file icon log_awo [^] (22,005 bytes) 2020-10-26 12:45 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0124630)
hgbot (developer)
2020-11-26 12:31

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/13 [^]
(0124642)
hgbot (developer)
2020-11-27 08:56

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations [^]
Changeset: abea71ebdbdc7fa4d413cae95d7543f4f22052f8
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-11-26T17:01:19+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/abea71ebdbdc7fa4d413cae95d7543f4f22052f8 [^]

Fixed ISSUE-45299: Added Exception to InventoryCountProcessor
* If Document Type is not defined for Inventory Count, Detailed message should be shown in AWO when processing it

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/processors/InventoryCountProcessor.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/utils/inventorycount/InventoryCountUtils.java
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/obawo-invcountfilter-selector.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/obawo-users-selector.js
---
(0124643)
hgbot (developer)
2020-11-27 08:56

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/13 [^]

- Issue History
Date Modified Username Field Change
2020-10-26 12:45 Leyre New Issue
2020-10-26 12:45 Leyre Assigned To => Retail
2020-10-26 12:45 Leyre File Added: log_awo
2020-10-26 12:45 Leyre Triggers an Emergency Pack => No
2020-10-26 12:54 Leyre Steps to Reproduce Updated View Revisions
2020-10-26 18:00 Leyre Steps to Reproduce Updated View Revisions
2020-10-27 11:47 Practics Issue Monitored: Practics
2020-11-18 06:10 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-11-20 06:08 ranjith_qualiantech_com Status new => scheduled
2020-11-26 12:31 hgbot Note Added: 0124630
2020-11-27 08:56 hgbot Resolution open => fixed
2020-11-27 08:56 hgbot Status scheduled => closed
2020-11-27 08:56 hgbot Note Added: 0124642
2020-11-27 08:56 hgbot Note Added: 0124643


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker